Bug 433762 - initscripts do not support MD raid over multipath
initscripts do not support MD raid over multipath
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: initscripts Maintenance Team
Brock Organ
: 704890 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-02-21 06:47 EST by Bryn M. Reeves
Modified: 2012-03-27 09:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-12 14:05:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryn M. Reeves 2008-02-21 06:47:59 EST
Description of problem:
In rc.sysinit, MD device activation happens before multipath meaning that if a
user configures an MD array consisting of device-mapper-multipath devices, MD
will bind the devices first and multipath is unable to start correctly.

Working around this requires the user to deactivate MD, run multipath and then
manually reactivate the MD array with the correct (multipathed) member devices.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Configure multiple paths to storage using device-mapper-multipath
2. Create an MD software RAID array using the multipath devices (e.g.
3. Reboot.
Actual results:
Resulting MD array after reboot contains individual paths as members. No
multipath maps are created.

Expected results:
Multipath maps created. MD array contains mpath devices as members.

Additional info:
Comment 1 Bill Nottingham 2008-02-21 13:40:20 EST
We do not support arbitrary-level stacking of DM and MD - the alternative would
be to keep execing both mdadm and lvm until there's nothing left to do, and I
don't think that's right.
Comment 3 RHEL Product and Program Management 2008-06-02 16:17:36 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 4 Bill Nottingham 2008-06-12 14:05:14 EDT
Yes, at this point we don't do MD on multipath. LVM on multipath should be
supported, if needed.
Comment 6 Bryn M. Reeves 2012-03-27 09:12:00 EDT
*** Bug 704890 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.